Subject: Re: bug#72285: 29.4; world-clock reports same time zone for all zones in world-clock-list

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jul 2024 09:20:49 +0300

> Date: Wed, 24 Jul 2024 21:48:20 -0700
> From:  Joseph Turner via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> With emacs -Q, run M-x world-clock to see output:
> 
> Seattle   Wednesday 24 July 21:41 PDT
> New York  Thursday 25 July 00:41 EDT
> London    Thursday 25 July 05:41 BST
> Paris     Thursday 25 July 06:41 CDT
> Bangalore Thursday 25 July 10:11 IST
> Tokyo     Thursday 25 July 13:41 JST
> 
> So good so far.  Now evaluate the following
> 
> (require 'time)
> (setopt world-clock-list '(("Africa/Ouagadougou" "Ouagadougou")
> 			   ("America/New_York" "New York")
> 			   ("Asia/Shanghai" "Shanghai")
> 			   ("Europe/Berlin" "Berlin")))
> 
> and run M-x world-clock again to see:
> 
> Ouagadougou Thursday 25 July 04:42 Africa
> New York    Thursday 25 July 04:42 America
> Shanghai    Thursday 25 July 04:42 Asia
> Berlin      Thursday 25 July 04:42 Europe
> 
> All of the timezones are incorrectly set to UTC.

I cannot reproduce this with Emacs 29.3 on GNU/Linux, nor with the
current emacs-30 release branch.  I get the correct expected display
after evaluating the above setopt:

  Ouagadougou Thursday 25 July 06:19 GMT
  New York    Thursday 25 July 02:19 EDT
  Shanghai    Thursday 25 July 14:19 CST
  Berlin      Thursday 25 July 08:19 CEST

So I suggest to take this up with the Guix and/or Debian stable
distros.